Conteníu

# FreeFile Function

Devuelve'l siguiente númberu de ficheru disponible pa l'apertura d'un ficheru. Esta función utilizar p'abrir un ficheru usando un númberu que nun tea n'usu anguaño por un ficheru abiertu anguaño.

### Syntax:

    FreeFile

### Return value:

Enteru

### Parameters:

Esta función namái pue usase darréu delantre d'una instrucción Open. FreeFile devuelve'l númberu de ficheru disponible, pero nun lu acuta.

### Error codes:

5 Llamada a procedimientu non válida

67 Abondos ficheros

### Example:

      Sub ExampleWorkWithAFile
          Dim iNumber As Integer
          Dim sLine As String
          Dim aFile As String
          Dim sMsg As String
          aFile = "C:\Users\ThisUser\data.txt"
          iNumber = Freefile
          Open aFile For Output As #iNumber
          Print #iNúmberu, "Esta ye una llinia de testu"
          Print #iNúmberu, "Esta ye otra llinia de testu"
          Close #iNumber
          iNumber = Freefile
          Open aFile For Input As iNumber
          While Not eof(iNumber)
              Line Input #iNumber, sLine
              If sLine <>"" Then
                  sMsg = sMsg & sLine & chr(13)
              End If
          Wend
          Close #iNumber
          MsgBox sMsg
      End Sub

      Sub ExampleWorkWithAFile
          Dim iNumber As Integer
          Dim sLine As String
          Dim aFile As String
          Dim sMsg As String
          aFile = "~/data.txt"
          iNumber = Freefile
          Open aFile For Output As #iNumber
          Print #iNúmberu, "Esta ye una ringlera de testu"
          Print #iNumber, "Esta ye otra ringlera de testu"
          Close #iNumber
          iNumber = Freefile
          Open aFile For Input As iNumber
          While Not eof(iNumber)
              Line Input #iNumber, sLine
              If sLine <>"" Then
                  sMsg = sMsg & sLine & chr(13)
              End If
          Wend
          Close #iNumber
          MsgBox sMsg
      End Sub

Temes rellacionaos

Close Statement

Open Statement

Print# Statement